/* 
Theme Name: Orienteering
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

header {
    background-color: #ececec;
}

h2 {
    font-family: "Poppins", Sans-serif;
    font-size: 48px;
    font-weight: 600;

}

.mt-4 {
    margin-top: 40px !important;
}

.container {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 20px;
}

.events-list {
    max-width: 1280px;
    margin: 5rem auto;
}

.events-list h2 {
    font-weight: 600;
    font-family: 'Poppins';
    margin-bottom: 2.5rem;
}

.events-list table tr th {
    text-align: left;
    color: #ffffff;
    background-color: var(--e-global-color-secondary) !important;
    padding: 11px 20px;
}

.events-list table tr td {
    padding: 11px 20px;
}

.events-list table tr td:first-child {
    font-weight: bold;
}

.leaflet-popup-content a {
    color: #ffffff;
    background-color: var(--e-global-color-secondary);
    padding: 6px 14px;
    display: inline-block;
    margin-top: 12px;
}

/* Anjali css starts */

.events-content h2,
.events-content h3,
.events-content h4 {
    font-family: 'Poppins';
}

.events-content h3 {
    font-size: 28px;
}

.events-content h2 {
    color: #d14500;
}

a.event-btn {
    font-family: "Poppins", Sans-serif;
    font-weight: 400;
    text-transform: capitalize;
    border: 1px solid #d14500;
    background-color: #d14500;
    color: #ffffff;
    padding: 10px 24px;
    border-radius: 4px;
    margin: 20px 0 !important;
}

a.event-btn:hover {
    background-color: #fff;
    color: #d14500;
}


.image-box {
    height: 30vw;
    overflow: hidden;
    border-radius: 20px !important;
}

.image-box img {

    width: 100%;
    height: 100% !important;
    object-fit: cover;


}

.event-content-first h3 {
    font-size: 16px;
    font-weight: 600;
    color: #2c2c2c;
    border: 1px solid #ffffff;
    padding: 24px 26px;
    line-height: 0;
    margin: 0;
    background: #ddd;
    border-radius: 5px;
}

.event-content-first {
    display: flex;
    gap: 20px;
    font-size: 18px;
    margin-bottom: 2vw;
    margin-top: 10px;
}

.event-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin-bottom: 100px;
}


.anchor-icon {
    width: 50px;
    margin-top: 20px;
}

.past-event-links {
    padding: 30px;
    background: #f5f7f6;
    border-radius: 12px;
    margin-bottom: 50px;
}

.past-event-links h3 {
    font-size: 24px;
    margin-bottom: 5px;
}

.subtitle {
    color: #666;
    margin-bottom: 25px;
}

.links-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
}

.link-card {
    background: #fff;
    border-radius: 12px;
    padding: 20px;
    text-align: center;
    text-decoration: none;
    border: 1px solid #e5e5e5;
    transition: all 0.25s ease;
}

.link-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.icon {
    width: 80px;
    height: 80px;
    margin: 0 auto 15px;
    background: #eef2ef;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon img {
    width: 50px;
    height: 50px;
}

.link-card span {
    display: block;
    font-size: 15px;
    font-weight: 500;
    color: #222;
}


@media (max-width: 1024px) {
    .links-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}



.wpcf7-submit {
    margin-top: 20px;
}


.px-form input,
.px-form textarea {
    width: 100%;
    padding: 14px;
    border-radius: 12px;
    border: 1px solid #e5e7eb;
    margin-bottom: 10px;
    font-size: 14px;
    transition: all 0.2s ease;
}

.px-form input:focus,
.px-form textarea:focus {
    border-color: #6366f1;
    box-shadow: 0 0 0 3px rgba(99, 102, 241, 0.15);
    outline: none;
}

.area-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin-bottom: 30px;
}


.area-content-first {
    display: flex;
    gap: 20px;
    font-size: 18px;
    margin-bottom: 2vw;
    margin-top: 10px;
    flex-direction: column;
}

.area-content-first h3 {
    font-size: 16px;
    font-weight: 600;
    color: #606060;
    border: 1px solid #b9b9b9;
    padding: 20px 20px;
    line-height: 0;
    margin: 0;
    background: #ddd;
    border-radius: 5px;
}

.area-container .image-box {
    overflow: visible;
}

.area-container .image-box img {
    /* height: 77% !important; */
    border-radius: 20px !important;
}

.area-container .event-content-first {
    margin-bottom: 0px;
}

.area-container .event-content-first h3 {
    width: 100%;
    border-radius: 5px;
}

.area-description {
    padding-bottom: 30px;
}

.entry_data {
    display: flex;
    gap: 0;
    align-items: end;
    padding-block: 5px;
}

section.gallery {
    padding-bottom: 40px;
}

.gallery-header {
    background: #F8F7F3;
    padding-block: 65px;
}

h1.gallery-title {
    font-family: "Poppins", Sans-serif;
    font-weight: 600;
    font-size: 50px;
    text-align: center;
    margin: 0px;
}

section.gallery .text-center {
    text-align: center;
    padding-block: 20px;
}

.gallery .imageGrid {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    grid-template-rows: repeat(2, 250px);
    gap: 15px;
    margin-bottom: 15px;
}

.gallery .imageGrid .imageWapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Image 1 */
.gallery .imageGrid .imageWapper:nth-child(1) {
    grid-column: 1;
    grid-row: 1;
}

/* Image 2 */
.gallery .imageGrid .imageWapper:nth-child(2) {
    grid-column: 2;
    grid-row: 1;
}

/* Large Image */
.gallery .imageGrid .imageWapper:nth-child(3) {
    grid-column: 3;
    grid-row: 1 / span 2;
}

/* Image 4 */
.gallery .imageGrid .imageWapper:nth-child(4) {
    grid-column: 1;
    grid-row: 2;
}

/* Image 5 */
.gallery .imageGrid .imageWapper:nth-child(5) {
    grid-column: 2;
    grid-row: 2;
}

.imageWapper {
    display: inline-block;
    cursor: pointer;
}

.gallery .imageGrid .imageWapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top center;
}

.gallery .imageGrid.reverse {
    direction: rtl;
}

/* Large image on left */
.gallery .imageGrid.reverse .imageWapper:nth-child(3) {
    grid-column: 2;
    grid-row: 1;
}

/* Small images move to right side */
.gallery .imageGrid.reverse .imageWapper:nth-child(1) {
    grid-column: 3;
    grid-row: 1 / span 2;
}

.gallery .imageGrid.reverse .imageWapper:nth-child(2) {
    grid-column: 1;
    grid-row: 1;
}

.gallery .imageGrid.reverse .imageWapper:nth-child(4) {
    grid-column: 1;
    grid-row: 2;
}

.gallery .imageGrid.reverse .imageWapper:nth-child(5) {
    grid-column: 2;
    grid-row: 2;
}

@media (min-width: 1366px) and (max-width: 1600px) {
    /* .area-container .image-box img {
        height: 67% !important;
    } */
}

@media (max-width: 768px) {
    .links-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .image-box {
        height: 70vw;
        overflow: hidden;
        border-radius: 20px !important;
    }

    .event-container {
        display: grid;
        grid-template-columns: 1fr;
        gap: 30px;
    }

    .event-content-first {
        flex-direction: column;
    }

    .past-event-links {
        margin: 50px auto;
        margin-top: 200px;
    }

    .area-container {
        display: grid;
        grid-template-columns: 1fr !important;
        gap: 20px;
        margin-bottom: 190px !important;
    }

    .area-container .image-box {
        height: 80vw;
    }

    /* .area-container .image-box img {
        height: 60% !important;
    } */

    .gallery-header {
        padding-block: 30px;
    }
}

@media (max-width: 480px) {
    .area-container .image-box {
        height: 140vw;
    }

    /* .area-container .image-box img {
        height: 60% !important;
    } */

    .area-content-first h3,
    .area-container .event-content-first h3 {
        font-size: 11px !important;
    }

    .entry_data {
        display: flex;
        align-items: center;
    }

    .gallery .imageGrid {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto;
        gap: 10px;
    }

    /* Large image first */
    .gallery .imageGrid .imageWapper:nth-child(3) {
        grid-column: 1 / -1;
        grid-row: auto;
        height: 300px;
    }

    .gallery .imageGrid .imageWapper:nth-child(1),
    .gallery .imageGrid .imageWapper:nth-child(2),
    .gallery .imageGrid .imageWapper:nth-child(4),
    .gallery .imageGrid .imageWapper:nth-child(5) {
        grid-column: auto;
        grid-row: auto;
        height: 180px;
    }

    .gallery .imageGrid .imageWapper img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    /* Remove reverse positioning on mobile */
    .gallery .imageGrid.reverse .imageWapper:nth-child(1),
    .gallery .imageGrid.reverse .imageWapper:nth-child(2),
    .gallery .imageGrid.reverse .imageWapper:nth-child(3),
    .gallery .imageGrid.reverse .imageWapper:nth-child(4),
    .gallery .imageGrid.reverse .imageWapper:nth-child(5) {
        grid-column: auto;
        grid-row: auto;
    }

    .gallery .imageGrid.reverse .imageWapper:nth-child(3) {
        grid-column: 1 / -1;
    }

    h1.gallery-title {
        font-size: 32px;
    }

    section.gallery .text-center {
        padding-block: 40px;
    }
}


.upcoming-events-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 30px;
}